## Apache Zeta Components Manual :: Docs For Class ezcDocumentXsltConverter

### Document::ezcDocumentXsltConverter

### Class ezcDocumentXsltConverter

Base class for conversions between XML documents using XSLT.

Source for this file: /Document/src/converters/xslt.php

    ezcDocumentConverter
       |
       --ezcDocumentXsltConverter

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentDocbookToHtmlXsltConverter | Converter for Docbook documents to XHtml using an available XSLT.

### Member Variables

protected XSLTProcessor | `$xsltProcessor = null` XSLT processor created from the defined XSLT file.

### Inherited Member Variables

From ezcDocumentConverter
protected | `ezcDocumentConverter::$options`
protected | `ezcDocumentConverter::$properties`

### Method Summary

public void | `__construct( [ $options = null] )` Construct converter
protected abstract ezcDocumentXmlBase | `buildDocument( $document )` Build document
public ezcDocumentXmlBase | `convert( $doc )` Convert documents between two formats

### Inherited Methods

From ezcDocumentConverter
public ezcDocumentConverter | `ezcDocumentConverter::__construct()` Construct new document
public abstract ezcDocument | `ezcDocumentConverter::convert()` Convert documents between two formats
public array | `ezcDocumentConverter::getErrors()` Return list of errors occured during visiting the document.
public void | `ezcDocumentConverter::triggerError()` Trigger parser error

### Methods

#### __construct

void __construct( [ezcDocumentXsltConverterOptions $options = null] )

Construct converter

Construct converter from XSLT file, which is used for the actual conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | ezcDocumentXsltConverterOptions |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentConverter::__construct()` | Construct new document

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentDocbookToHtmlXsltConverter::__construct()` | Construct new document converter.

#### buildDocument

ezcDocumentXmlBase buildDocument( $document )

Build document

Build document of appropriate type from the DOMDocument, created by the XSLT transformation.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | DOMDocument |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentDocbookToHtmlXsltConverter::buildDocument()` | Build document

#### convert

ezcDocumentXmlBase convert( ezcDocumentXmlBase $doc )

Convert documents between two formats

Convert documents of the given type to the requested type.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$doc` | ezcDocumentXmlBase |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentConverter::convert()` | Convert documents between two formats

Documentation generated by phpDocumentor 1.4.3